//+------------------------------------------------------------------+
//|                                          %  .mq4 |
//|                                          |
//+------------------------------------------------------------------+

//-------   -----------------------------------------+
extern double  EquityPersent=5;//       %  
extern int Slippage = 0;
extern int  Magic       = 0;   //  


//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
 
//+------------------------------------------------------------------+
//| expert start function                                            | 
//+------------------------------------------------------------------+ 
 int start()
 {
   //+----
       {
   double equity = EQUITY("AccountEquity", AccountEquity());  //    
   double balans = BALANS("AccountBalance", AccountBalance());  //    
  
   
   if (NormalizeDouble(AccountProfit(),2)>=(equity/100*EquityPersent))CloseOrders();
  return(0);
 }

 }
//+------------------------------------------------------------------+ 

void CloseOrders() 
{
 {
int cnt = OrdersTotal();
for (int i=cnt-1; i>=0; i--) {
if (!OrderSelect(i, SELECT_BY_POS, MODE_TRADES)) continue;

if (OrderType() == OP_BUY) OrderClose(OrderTicket(), OrderLots(), MarketInfo(OrderSymbol(), MODE_BID),Magic, Slippage);
if (OrderType() == OP_SELL) OrderClose(OrderTicket(), OrderLots(), MarketInfo(OrderSymbol(), MODE_ASK),Magic, Slippage);
if (OrderDelete(OrderTicket())) continue; }
 }
 return(0);
}
//+------------------------------------------------------------------+
 double EQUITY(string name, double value)
  {
  if(OrdersTotal()==0)                                      
    GlobalVariableSet(name, value);   
    return(value);
  if(GlobalVariableCheck(name)==false)
    Alert("-   ,   "); // 
    return(value);  
  return(GlobalVariableGet(name));
  }
  double BALANS(string name, double value)
  {
  if(OrdersTotal()==0)                                      
    GlobalVariableSet(name, value);   
    return(value);
  if(GlobalVariableCheck(name)==false)
    Alert("-   ,   "); // 
    return(value);  
  return(GlobalVariableGet(name));
  }